package org.wfc.omada.api.organization.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * BindSiteOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:17:18.430+08:00[Asia/Shanghai]")

public class BindSiteOpenApiVo   {
  @JsonProperty("siteId")
  private String siteId;

  @JsonProperty("switches")
  @Valid
  private List<DeviceBindOpenApiVo> switches = null;

  public BindSiteOpenApiVo siteId(String siteId) {
    this.siteId = siteId;
    return this;
  }

  /**
   * Site ID to bind.
   * @return siteId
  */
  @ApiModelProperty(required = true, value = "Site ID to bind.")
  @NotNull


  public String getSiteId() {
    return siteId;
  }

  public void setSiteId(String siteId) {
    this.siteId = siteId;
  }

  public BindSiteOpenApiVo switches(List<DeviceBindOpenApiVo> switches) {
    this.switches = switches;
    return this;
  }

  public BindSiteOpenApiVo addSwitchesItem(DeviceBindOpenApiVo switchesItem) {
    if (this.switches == null) {
      this.switches = new ArrayList<>();
    }
    this.switches.add(switchesItem);
    return this;
  }

  /**
   * Switch choose for binding device template.
   * @return switches
  */
  @ApiModelProperty(value = "Switch choose for binding device template.")

  @Valid

  public List<DeviceBindOpenApiVo> getSwitches() {
    return switches;
  }

  public void setSwitches(List<DeviceBindOpenApiVo> switches) {
    this.switches = switches;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BindSiteOpenApiVo bindSiteOpenApiVo = (BindSiteOpenApiVo) o;
    return Objects.equals(this.siteId, bindSiteOpenApiVo.siteId) &&
        Objects.equals(this.switches, bindSiteOpenApiVo.switches);
  }

  @Override
  public int hashCode() {
    return Objects.hash(siteId, switches);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BindSiteOpenApiVo {\n");
    
    sb.append("    siteId: ").append(toIndentedString(siteId)).append("\n");
    sb.append("    switches: ").append(toIndentedString(switches)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

